## Scope

This contains all sorts of systemd units I have written for whatever purpose.
Sometimes just for lack of alternatives :)

Some examples:

* freshclam? No reason for it on Debian, but on Fedora (no package with a service on FC28).
* KVM machines? libvirtd-guests is great, but not always wanted or available.

Consider this repository examples for now. Some of this is still heavy WiP,
e.g. the KVM stuff is still too specific and not all dependencies required,
goal is to make this more abstract/generic and less redundant.

## Content

The directories *etc/systemd/system*, *etc/tmpfiles.d*, and *usr/local/[s]bin* should be
self-explanatory. Therein, you'll find the following:

* **freshclam(d):** Quickly written service and scripts to start and stop
		ClamAV's freshclam as a daemon. The definition will update
		the ClamAV database 4 times a day. No need for a timer as this
		is simply a parameter passed on to freshclam. The script used
		for administering this is called freshclamd, it does not
		interfere with anything on a Fedora 28. Rename it if your
		distro is different, a Debian user will not need this at all ;)

* **kvm-\*:** Stuff I wrote for starting and stopping KVM networks and virtual
		machines through systemd. Networks usually are covered by the
		autostart function of KVM, and machines can be safely shut down
		with libvirt-guests - but in this scenario I wanted to automate
		through and integrate everything into systemd services, so,
		well - here we are.<br/>
		The script usr/local/bin/kvmhelper can also serve as a shortcut
		or beautification, but its main purpose is to serve the systemd
		units as a short-definition target with timeouts in itself to
		come before the systemd timeout, *and* this has proper failure
		values for a systemd unit (stop machine, oh it's down? not a
		failure, we're satisfied!)
* **cluster-\*:** A simple systemd target describing dependencies on three
		*KVM* machines (see above) which form a pacemaker (Red Hat pcs)
		cluster, so they should	be alive at the same time. One systemd
		unit instead of a long command, whey! :)
